Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.filesystem
Class FileSystemI18n

    java.lang.Object
      org.modeshape.connector.filesystem.FileSystemI18n

    public final class FileSystemI18n

extends Object

The internationalized string constants for the `org.modeshape.connector.filesystem*` packages.

Field Summary
`static I18n` | `ancestorInPathIsFile`
`static I18n` | `cannotCreateFileAsExcludedPattern`
`static I18n` | `cannotRenameFileToExcludedPattern`
`static I18n` | `connectorName`
`static I18n` | `couldNotCopyData`
`static I18n` | `couldNotCreateDirectory`
`static I18n` | `couldNotCreateFile`
`static I18n` | `couldNotReadData`
`static I18n` | `couldNotStoreProperties`
`static I18n` | `couldNotStoreProperty`
`static I18n` | `couldNotWriteData`
`static I18n` | `customPropertiesFactoryPropertyCategory`
`static I18n` | `customPropertiesFactoryPropertyDescription`
`static I18n` | `customPropertiesFactoryPropertyLabel`
`static I18n` | `defaultWorkspaceNamePropertyCategory`
`static I18n` | `defaultWorkspaceNamePropertyDescription`
`static I18n` | `defaultWorkspaceNamePropertyLabel`
`static I18n` | `deleteFailed`
`static I18n` | `determineMimeTypeUsingContentPropertyCategory`
`static I18n` | `determineMimeTypeUsingContentPropertyDescription`
`static I18n` | `determineMimeTypeUsingContentPropertyLabel`
`static I18n` | `eagerFileLoadingPropertyCategory`
`static I18n` | `eagerFileLoadingPropertyDescription`
`static I18n` | `eagerFileLoadingPropertyLabel`
`static I18n` | `errorSerializingCachePolicyInSource`
`static I18n` | `exclusionPatternPropertyCategory`
`static I18n` | `exclusionPatternPropertyDescription`
`static I18n` | `exclusionPatternPropertyLabel`
`static I18n` | `extraPropertiesPropertyCategory`
`static I18n` | `extraPropertiesPropertyDescription`
`static I18n` | `extraPropertiesPropertyLabel`
`static I18n` | `fileAlreadyExists`
`static I18n` | `getCanonicalPathFailed`
`static I18n` | `inclusionPatternPropertyCategory`
`static I18n` | `inclusionPatternPropertyDescription`
`static I18n` | `inclusionPatternPropertyLabel`
`static I18n` | `invalidNameForResource`
`static I18n` | `invalidPathForResource`
`static I18n` | `invalidPropertyNames`
`static I18n` | `maxPathLengthExceeded`
`static I18n` | `maxPathLengthPropertyCategory`
`static I18n` | `maxPathLengthPropertyDescription`
`static I18n` | `maxPathLengthPropertyLabel`
`static I18n` | `missingRequiredProperty`
`static I18n` | `nodeOrderingNotSupported`
`static I18n` | `onlyTheDefaultNamespaceIsAllowed`
`static I18n` | `parentIsReadOnly`
`static I18n` | `pathForWorkspaceCannotBeRead`
`static I18n` | `pathForWorkspaceIsNotDirectory`
`static I18n` | `pathForWorkspaceRootCannotBeRead`
`static I18n` | `pathForWorkspaceRootDoesNotExist`
`static I18n` | `pathForWorkspaceRootIsNotDirectory`
`static I18n` | `pathIsReadOnly`
`static I18n` | `predefinedWorkspaceNamesPropertyCategory`
`static I18n` | `predefinedWorkspaceNamesPropertyDescription`
`static I18n` | `predefinedWorkspaceNamesPropertyLabel`
`static I18n` | `propertyIsRequired`
`static I18n` | `sameNameSiblingsAreNotAllowed`
`static I18n` | `sourceIsReadOnly`
`static I18n` | `temporaryStoragePathPropertyCategory`
`static I18n` | `temporaryStoragePathPropertyDescription`
`static I18n` | `temporaryStoragePathPropertyLabel`
`static I18n` | `unableToCreateWorkspaces`
`static I18n` | `unsupportedPrimaryType`
`static I18n` | `updatesAllowedPropertyCategory`
`static I18n` | `updatesAllowedPropertyDescription`
`static I18n` | `updatesAllowedPropertyLabel`
`static I18n` | `workspaceDoesNotExist`
`static I18n` | `workspaceRootPathPropertyCategory`
`static I18n` | `workspaceRootPathPropertyDescription`
`static I18n` | `workspaceRootPathPropertyLabel`

Constructor Summary
`FileSystemI18n()`

Method Summary
`static Set<Locale>` | `getLocalizationProblemLocales()`
`static Set<String>` | `getLocalizationProblems()`
`static Set<String>` | `getLocalizationProblems(Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connectorName

    public static I18n connectorName

### workspaceDoesNotExist

    public static I18n workspaceDoesNotExist

### pathForWorkspaceRootDoesNotExist

    public static I18n pathForWorkspaceRootDoesNotExist

### pathForWorkspaceRootIsNotDirectory

    public static I18n pathForWorkspaceRootIsNotDirectory

### pathForWorkspaceRootCannotBeRead

    public static I18n pathForWorkspaceRootCannotBeRead

### propertyIsRequired

    public static I18n propertyIsRequired

### errorSerializingCachePolicyInSource

    public static I18n errorSerializingCachePolicyInSource

### sameNameSiblingsAreNotAllowed

    public static I18n sameNameSiblingsAreNotAllowed

### nodeOrderingNotSupported

    public static I18n nodeOrderingNotSupported

### onlyTheDefaultNamespaceIsAllowed

    public static I18n onlyTheDefaultNamespaceIsAllowed

### sourceIsReadOnly

    public static I18n sourceIsReadOnly

### pathIsReadOnly

    public static I18n pathIsReadOnly

### unableToCreateWorkspaces

    public static I18n unableToCreateWorkspaces

### couldNotCreateDirectory

    public static I18n couldNotCreateDirectory

### ancestorInPathIsFile

    public static I18n ancestorInPathIsFile

### pathForWorkspaceCannotBeRead

    public static I18n pathForWorkspaceCannotBeRead

### pathForWorkspaceIsNotDirectory

    public static I18n pathForWorkspaceIsNotDirectory

### workspaceRootPathPropertyDescription

    public static I18n workspaceRootPathPropertyDescription

### workspaceRootPathPropertyLabel

    public static I18n workspaceRootPathPropertyLabel

### workspaceRootPathPropertyCategory

    public static I18n workspaceRootPathPropertyCategory

### defaultWorkspaceNamePropertyDescription

    public static I18n defaultWorkspaceNamePropertyDescription

### defaultWorkspaceNamePropertyLabel

    public static I18n defaultWorkspaceNamePropertyLabel

### defaultWorkspaceNamePropertyCategory

    public static I18n defaultWorkspaceNamePropertyCategory

### predefinedWorkspaceNamesPropertyDescription

    public static I18n predefinedWorkspaceNamesPropertyDescription

### predefinedWorkspaceNamesPropertyLabel

    public static I18n predefinedWorkspaceNamesPropertyLabel

### predefinedWorkspaceNamesPropertyCategory

    public static I18n predefinedWorkspaceNamesPropertyCategory

### updatesAllowedPropertyDescription

    public static I18n updatesAllowedPropertyDescription

### updatesAllowedPropertyLabel

    public static I18n updatesAllowedPropertyLabel

### updatesAllowedPropertyCategory

    public static I18n updatesAllowedPropertyCategory

### exclusionPatternPropertyDescription

    public static I18n exclusionPatternPropertyDescription

### exclusionPatternPropertyLabel

    public static I18n exclusionPatternPropertyLabel

### exclusionPatternPropertyCategory

    public static I18n exclusionPatternPropertyCategory

### inclusionPatternPropertyDescription

    public static I18n inclusionPatternPropertyDescription

### inclusionPatternPropertyLabel

    public static I18n inclusionPatternPropertyLabel

### inclusionPatternPropertyCategory

    public static I18n inclusionPatternPropertyCategory

### maxPathLengthPropertyDescription

    public static I18n maxPathLengthPropertyDescription

### maxPathLengthPropertyLabel

    public static I18n maxPathLengthPropertyLabel

### maxPathLengthPropertyCategory

    public static I18n maxPathLengthPropertyCategory

### eagerFileLoadingPropertyDescription

    public static I18n eagerFileLoadingPropertyDescription

### eagerFileLoadingPropertyLabel

    public static I18n eagerFileLoadingPropertyLabel

### eagerFileLoadingPropertyCategory

    public static I18n eagerFileLoadingPropertyCategory

### determineMimeTypeUsingContentPropertyDescription

    public static I18n determineMimeTypeUsingContentPropertyDescription

### determineMimeTypeUsingContentPropertyLabel

    public static I18n determineMimeTypeUsingContentPropertyLabel

### determineMimeTypeUsingContentPropertyCategory

    public static I18n determineMimeTypeUsingContentPropertyCategory

### extraPropertiesPropertyDescription

    public static I18n extraPropertiesPropertyDescription

### extraPropertiesPropertyLabel

    public static I18n extraPropertiesPropertyLabel

### extraPropertiesPropertyCategory

    public static I18n extraPropertiesPropertyCategory

### customPropertiesFactoryPropertyDescription

    public static I18n customPropertiesFactoryPropertyDescription

### customPropertiesFactoryPropertyLabel

    public static I18n customPropertiesFactoryPropertyLabel

### customPropertiesFactoryPropertyCategory

    public static I18n customPropertiesFactoryPropertyCategory

### temporaryStoragePathPropertyDescription

    public static I18n temporaryStoragePathPropertyDescription

### temporaryStoragePathPropertyLabel

    public static I18n temporaryStoragePathPropertyLabel

### temporaryStoragePathPropertyCategory

    public static I18n temporaryStoragePathPropertyCategory

### parentIsReadOnly

    public static I18n parentIsReadOnly

### fileAlreadyExists

    public static I18n fileAlreadyExists

### couldNotCreateFile

    public static I18n couldNotCreateFile

### cannotRenameFileToExcludedPattern

    public static I18n cannotRenameFileToExcludedPattern

### cannotCreateFileAsExcludedPattern

    public static I18n cannotCreateFileAsExcludedPattern

### unsupportedPrimaryType

    public static I18n unsupportedPrimaryType

### invalidNameForResource

    public static I18n invalidNameForResource

### invalidPathForResource

    public static I18n invalidPathForResource

### invalidPropertyNames

    public static I18n invalidPropertyNames

### couldNotReadData

    public static I18n couldNotReadData

### couldNotWriteData

    public static I18n couldNotWriteData

### couldNotCopyData

    public static I18n couldNotCopyData

### missingRequiredProperty

    public static I18n missingRequiredProperty

### deleteFailed

    public static I18n deleteFailed

### getCanonicalPathFailed

    public static I18n getCanonicalPathFailed

### maxPathLengthExceeded

    public static I18n maxPathLengthExceeded

### couldNotStoreProperty

    public static I18n couldNotStoreProperty

### couldNotStoreProperties

    public static I18n couldNotStoreProperties

Constructor Detail

### FileSystemI18n

    public FileSystemI18n()

Method Detail

### getLocalizationProblemLocales

    public static Set<Locale> getLocalizationProblemLocales()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.